Jump to content
Sign in to follow this  
Dwarden

BattlEye Installers (A2:OA, A2: RFT, A2)

Recommended Posts

Yes I do. All three locations for XP32. I have the separate installs from Steam, ARMA 2, AO, BAF. I posted earlier in this thread that I did notice that the appdata BE dll wasn't updated via steam or your exe in this thread. I copied the updated dll from my OA\expansion\be folder to the appdata location but still didn't work.

Why am I getting an error running OA via steam in admin mode now?

that's correct the installer updating the dll located in the game's dir

then when game is running and you join BE server the dll is updated in appData

anyway if you on wXP and the admin mode is not working for you then don't use it and use normal way how you run games

Share this post


Link to post
Share on other sites
that's correct the installer updating the dll located in the game's dir

then when game is running and you join BE server the dll is updated in appData

anyway if you on wXP and the admin mode is not working for you then don't use it and use normal way how you run games

Guess that means the game isn't loading the dll since I had to manually copy it to the appdata location after I've run the game many times trying to join servers.

Share this post


Link to post
Share on other sites

done everything above listed - still getting kicked for battleye initialisation error.

- deleted all the folders containing anything relating to the Bty, then manually downloaded and placed the dlls

- tried formally uninstalling via programs menu (and also via the uninstall file) and then installing

- tried installing it via steam and via the installer within the folders.

...and all combinations of the above and everything else.

PS: have steam version and windows 7. Problem only started happening after the latest patch got installed.

Share this post


Link to post
Share on other sites

stop trying, we are on it ....

Share this post


Link to post
Share on other sites
Is there anyone without Steam who has this problem?

Ive not seen anyone, but had loads of steam users reporting the problem @ suicidesquad.

Although, we do seem to be getting alot more Signature check timed out reports, and thats not from just steam users.

Edited by Wildgoose

Share this post


Link to post
Share on other sites

it's most likely not related to steam at all ... cause i get it w/o STEAM aswell

Share this post


Link to post
Share on other sites

My ArmA2OA.RPT file says it updated BattleEye to 143 but the server requires 144. I've updated from the BattleEye.com site, from the updater and used a copy from people that can play on our server but it still says BattleEye initialisation failed.

I'm using the 1.55 Steam Version of Arma2/OA and running as CO.

Exe timestamp: 2010/11/13 18:02:45

Current time: 2010/11/13 19:04:05

Version 1.55.75556

...

Face

Glasses

BattlEye client updated to version: 143

I've done everything list in this thread - as have others in my community to no avail. We ended up just playing without BattleEye turned on.

Share this post


Link to post
Share on other sites

I found a weird thing in windows, right-click the 'BEClient.dll' >> Goto Properties then right down at the bottom was a message saying: "Security - This file came from another computer and might be blocked to help protect this computer."

I clicked "Unlock" but still nada. I tried this on all the BEClient.dll's (both in OA and AppData

Share this post


Link to post
Share on other sites
I found a weird thing in windows, right-click the 'BEClient.dll' >> Goto Properties then right down at the bottom was a message saying: "Security - This file came from another computer and might be blocked to help protect this computer."

I clicked "Unlock" but still nada. I tried this on all the BEClient.dll's (both in OA and AppData

That's normal, because you downloaded the BEClient.dll from the BE website. It's not a problem though.

So again, there aren't any non-Steam users that have this problem?

Share this post


Link to post
Share on other sites

just for the statistic:

i got exactly the same problem: new patches installed (1.55. and the other stuff for Arma2 and Arma BAF) and i cant join a server using battley eye: "battle eye initialization failed" -> it throws me back to the server select list

iam using all arma programms in steam

windows 7 professional

running all (steam, arma2, arma2oa) as admin

plz give a solution that works, not that standart saying: "run as admin" -> I DO !!!

this is really shit

i payed for the game and a patch made it unplayable

Share this post


Link to post
Share on other sites

this problem is not easy to track as it affect both STEAM (but no everyone) and non STEAM users (rarely)

patience please ...

Share this post


Link to post
Share on other sites
this problem is not easy to track as it affect both STEAM (but no everyone) and non STEAM users (rarely)

patience please ...

Maybe it affects only people who installed the game in "alternative" directories like ...Programm Files/Steam/Steam Apps/common...?

Share this post


Link to post
Share on other sites

I also have a problem with connection to BattleEye enabled servers. I have Win 7, STEAM version of ARMA2 and ARMA2:OA. Running STEAM as administrator and reinstalling BattleEye from STEAM/RMB click on ARMA2:OA and select Reinstall BattleEye Anti-Cheat do not help.

Share this post


Link to post
Share on other sites

The -=UGF=- server was installed using steam. The battleeye version in the dedicated sever window always showed v1.111.

I uninstalled battleeye and re-installed battleeye using the steam tools the version number did not change.

I also did this with my client side version as well.

Just as everyone else explains. I get kicked back to lobby.

Please help.

Share this post


Link to post
Share on other sites

at our server 3para-gu we also have this problem not only steamusers but also those with dvd version i was one of those but i was running latest betapatch and the BE faild to connect, i switch then to the orginal comb.ops icon that solved for me and alot of other users in our clan.

But we had to turnoff Battleye due to all players that tried to connect

Share this post


Link to post
Share on other sites
at our server 3para-gu we also have this problem not only steamusers but also those with dvd version i was one of those but i was running latest betapatch and the BE faild to connect, i switch then to the orginal comb.ops icon that solved for me and alot of other users in our clan.

But we had to turnoff Battleye due to all players that tried to connect

So your server is still running 1.54 and you are running the retail version of OA?

Share this post


Link to post
Share on other sites

Same here...this patch messed the game that was running fine before.

Share this post


Link to post
Share on other sites

I am having the same issue, is anyone working on this?

Is this a very widespread issue?

I am running steam with Arma 2 with OA and BAF and XP, everything was working fine before this latest update.

Thanks

Share this post


Link to post
Share on other sites

After update 1.55 im gettin kicked of mostly servers. Battle eye initialization failed. Expecting a new update to fix this problems and turn it playable...Regards

Share this post


Link to post
Share on other sites

Please, if you have that problem, tell us if you are running the game via Steam or not.

Share this post


Link to post
Share on other sites

Been having this same problem. After patch update I get kicked from all Battleye enabled servers. I have two computers running XP and Windows 7 (64) and two different Steam installs and I get the "Battleye Initialization Failed" with both when connecting to a server. I can join a server and choose roles, but once the map finishes loading I get kicked backed to the MP server list.

Edited by Espi

Share this post


Link to post
Share on other sites

im also getting this issue with steam

trying with old beta i get corrupted memory warning from BE #0

Edited by armatech

Share this post


Link to post
Share on other sites

So far for us, with the four players we experimented with before eventually disabling BE, the three non-Steam users were fine and the one Steam user had (still has) this problem. Server says 1.144 is required while the Steam user's RPT file says it has been updated to '143'.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×